package com.app.keyboard.colorful.alldata.config;



import java.util.ArrayList;
import java.util.List;

public class LayoutBean {
    private String name;
    private List<LayoutChild> layoutChildren = new ArrayList<>();


    public LayoutBean(String name) {
        this.name = name;
    }

    // Getters and Setters
    public String getName() {
        return name;
    }

    public List<LayoutChild> getKeys() {
        return layoutChildren;
    }

    public void addKey(LayoutChild layoutChild) {
        this.layoutChildren.add(layoutChild);
    }

    public LayoutChild getLastKey() {
        return layoutChildren.isEmpty() ? null : layoutChildren.get(layoutChildren.size() - 1);
    }


}